$--font-path: '~element-ui/packages/theme-chalk/src/fonts'

@import ~element-ui/packages/theme-chalk/src/base
// @import ~element-ui/packages/theme-chalk/src/pagination
@import ~element-ui/packages/theme-chalk/src/dialog
// @import ~element-ui/packages/theme-chalk/src/autocomplete
@import ~element-ui/packages/theme-chalk/src/dropdown
@import ~element-ui/packages/theme-chalk/src/dropdown-menu
@import ~element-ui/packages/theme-chalk/src/dropdown-item
@import ~element-ui/packages/theme-chalk/src/menu
// @import ~element-ui/packages/theme-chalk/src/submenu
@import ~element-ui/packages/theme-chalk/src/menu-item
// @import ~element-ui/packages/theme-chalk/src/menu-item-group
@import ~element-ui/packages/theme-chalk/src/input
// @import ~element-ui/packages/theme-chalk/src/input-number
// @import ~element-ui/packages/theme-chalk/src/radio
// @import ~element-ui/packages/theme-chalk/src/radio-group
// @import ~element-ui/packages/theme-chalk/src/radio-button
// @import ~element-ui/packages/theme-chalk/src/checkbox
// @import ~element-ui/packages/theme-chalk/src/checkbox-button
// @import ~element-ui/packages/theme-chalk/src/checkbox-group
@import ~element-ui/packages/theme-chalk/src/switch
@import ~element-ui/packages/theme-chalk/src/select
@import ~element-ui/packages/theme-chalk/src/button
@import ~element-ui/packages/theme-chalk/src/button-group
@import ~element-ui/packages/theme-chalk/src/table
@import ~element-ui/packages/theme-chalk/src/table-column
@import ~element-ui/packages/theme-chalk/src/date-picker
// @import ~element-ui/packages/theme-chalk/src/time-select
// @import ~element-ui/packages/theme-chalk/src/time-picker
// @import ~element-ui/packages/theme-chalk/src/popover
// @import ~element-ui/packages/theme-chalk/src/tooltip
@import ~element-ui/packages/theme-chalk/src/message-box
// @import ~element-ui/packages/theme-chalk/src/breadcrumb
// @import ~element-ui/packages/theme-chalk/src/breadcrumb-item
@import ~element-ui/packages/theme-chalk/src/form
@import ~element-ui/packages/theme-chalk/src/form-item
// @import ~element-ui/packages/theme-chalk/src/tabs
// @import ~element-ui/packages/theme-chalk/src/tab-pane
// @import ~element-ui/packages/theme-chalk/src/tag
// @import ~element-ui/packages/theme-chalk/src/tree
@import ~element-ui/packages/theme-chalk/src/alert
// @import ~element-ui/packages/theme-chalk/src/notification
// @import ~element-ui/packages/theme-chalk/src/slider
// @import ~element-ui/packages/theme-chalk/src/loading
@import ~element-ui/packages/theme-chalk/src/row
@import ~element-ui/packages/theme-chalk/src/col
@import ~element-ui/packages/theme-chalk/src/upload
// @import ~element-ui/packages/theme-chalk/src/progress
// @import ~element-ui/packages/theme-chalk/src/spinner
@import ~element-ui/packages/theme-chalk/src/message
// @import ~element-ui/packages/theme-chalk/src/badge
@import ~element-ui/packages/theme-chalk/src/card
// @import ~element-ui/packages/theme-chalk/src/rate
// @import ~element-ui/packages/theme-chalk/src/steps
// @import ~element-ui/packages/theme-chalk/src/step
// @import ~element-ui/packages/theme-chalk/src/carousel
// @import ~element-ui/packages/theme-chalk/src/scrollbar
// @import ~element-ui/packages/theme-chalk/src/carousel-item
// @import ~element-ui/packages/theme-chalk/src/collapse
// @import ~element-ui/packages/theme-chalk/src/collapse-item
// @import ~element-ui/packages/theme-chalk/src/cascader
// @import ~element-ui/packages/theme-chalk/src/color-picker
// @import ~element-ui/packages/theme-chalk/src/transfer
@import ~element-ui/packages/theme-chalk/src/container
@import ~element-ui/packages/theme-chalk/src/header
@import ~element-ui/packages/theme-chalk/src/aside
@import ~element-ui/packages/theme-chalk/src/main
@import ~element-ui/packages/theme-chalk/src/footer

body, html
  font-family: Helvetica Neue, Helvetica, sans-serif
  font-weight: 400
  -webkit-font-smoothing: antialiased

a
  text-decoration: none
  &:hover
    text-decoration: underline

a:hover.el-button
  text-decoration: none

.el-container.wrapper
  display: block
  position: absolute
  top: 0
  bottom: 0
  left: 0
  right: 0

.el-header, .el-footer
  padding: 0

.el-header
  a, div.el-submenu__title
    font-weight: bold

.el-container.main
  min-height: calc(100% - 120px)

.el-menu
  border-bottom: 0
  a, div.el-submenu__title
    display: block
    padding: 0 20px
    &:hover
      text-decoration: none
  span
    padding: 0 20px
  .el-menu-item
    padding: 0
  .el-menu-item-right
    float: right

.el-menu--popup
  a
    color: #fff

.file-dropzone .el-upload, .file-dropzone .el-upload-dragger
  width: 100%